View Issue Details

IDCategoryLast Update
0008695bugs2021-05-14 05:08
ReporterivestAssigned Topaul 
Reproducibilityalways 
Status resolvedResolutionfixed 
PlatformGNU/LinuxOSopenSUSEOS VersionTumbleweed
Product Version6.6 
Fixed in Version 
Summary0008695: Ardour crashes when drawing automations (right-click only)
DescriptionArdour (both 6.6 and git master, commit a18d9b9... from May, 7th 2021) crashes when drawing automations. This only happens when automations are inserted by right-clicking on the track, not when they are inserted via the big A (MIDI Controllers and Automation) button. This happens both in new sessions and existing ones.

Before you ask: it happens on a custom openSUSE Tumbleweed build against rolling libraries. The bug does not happen on official binaries but I decided to report it anyway because IMHO it shows that the two procedures for inserting automations aren't treated identically (or that there are some side effects which cause the crash in the right-click one).

I believe the bug has something to do with the more recent GTK libraries I am using compared to the official builds; I worry that this bug could appear in the official releases one day.

You can find the gdb log in the attachments. The log was generated from an empty session. The automation was placed on the "Volume" parameter of the Noize Mak3r LV2 synth, but happens also on other synths and effects.

Thank you.
Steps To Reproduce1. Launch Ardour
2. Create a new session
3. Add MIDI or Audio track
4. Assign a LV2 plugin to the track
5. Right-click on the track
6. Select a Automation > Processor automation > [Plugin name] > [Parameter]
7. Ardour crashes as soon as a parameter to automate is selected
Tagsautomation

Relationships

related to 0003134 closedcth103 MIDI controllers menu disappears 

Activities

ivest

2021-05-07 17:48

reporter  

mylog.txt (40,130 bytes)
Thread 62 (Thread 0x7fff4bfff640 (LWP 5402) "pool-ardour-6.6"):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff6c11da2 in g_cond_wait_until (cond=cond@entry=0x555557037a08, mutex=mutex@entry=0x555557037a00, end_time=end_time@entry=752019395) at ../glib/gthread-posix.c:1622
#2  0x00007ffff6b8d611 in g_async_queue_pop_intern_unlocked (queue=0x555557037a00, wait=1, end_time=752019395) at ../glib/gasyncqueue.c:422
#3  0x00007ffff6be915a in g_thread_pool_wait_for_new_task (pool=<optimized out>) at ../glib/gthreadpool.c:278
#4  g_thread_pool_thread_proxy (data=<optimized out>) at ../glib/gthreadpool.c:343
#5  0x00007ffff6be872e in g_thread_proxy (data=0x55555b2faf00) at ../glib/gthread.c:826
#6  0x00007ffff5dd9299 in start_thread (arg=0x7fff4bfff640) at pthread_create.c:473
#7  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 61 (Thread 0x7fffadfa9640 (LWP 5401) "pool-ardour-6.6"):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff6c11da2 in g_cond_wait_until (cond=cond@entry=0x555557037a08, mutex=mutex@entry=0x555557037a00, end_time=end_time@entry=752018193) at ../glib/gthread-posix.c:1622
#2  0x00007ffff6b8d611 in g_async_queue_pop_intern_unlocked (queue=0x555557037a00, wait=1, end_time=752018193) at ../glib/gasyncqueue.c:422
#3  0x00007ffff6be915a in g_thread_pool_wait_for_new_task (pool=<optimized out>) at ../glib/gthreadpool.c:278
#4  g_thread_pool_thread_proxy (data=<optimized out>) at ../glib/gthreadpool.c:343
#5  0x00007ffff6be872e in g_thread_proxy (data=0x55555b2faea0) at ../glib/gthread.c:826
#6  0x00007ffff5dd9299 in start_thread (arg=0x7fffadfa9640) at pthread_create.c:473
#7  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 60 (Thread 0x7fffaf5ac640 (LWP 5356) "Juce Timer"):
#0  0x00007ffff5de5a9a in __futex_abstimed_wait_common64 (futex_word=futex_word@entry=0x555558a89b20, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x7fffaf5aba80, private=private@entry=0, cancel=cancel@entry=true) at ../sysdeps/nptl/futex-internal.c:74
#1  0x00007ffff5de5aff in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x555558a89b20, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x7fffaf5aba80, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007ffff5ddf574 in __pthread_cond_wait_common (abstime=0x7fffaf5aba80, clockid=0, mutex=0x555558a89b28, cond=0x555558a89af8) at pthread_cond_wait.c:504
#3  __pthread_cond_timedwait (cond=0x555558a89af8, mutex=0x555558a89b28, abstime=0x7fffaf5aba80) at pthread_cond_wait.c:637
#4  0x00007fff5c4b5f58 in  () at /usr/lib64/lv2/TAL-NoiseMaker.lv2/TAL-NoiseMaker.so
#5  0x00007fff5c4dfd13 in  () at /usr/lib64/lv2/TAL-NoiseMaker.lv2/TAL-NoiseMaker.so
#6  0x00007fff5c4c3fba in  () at /usr/lib64/lv2/TAL-NoiseMaker.lv2/TAL-NoiseMaker.so
#7  0x00007fff5c4c4159 in  () at /usr/lib64/lv2/TAL-NoiseMaker.lv2/TAL-NoiseMaker.so
#8  0x00007ffff5dd9299 in start_thread (arg=0x7fffaf5ac640) at pthread_create.c:473
#9  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 59 (Thread 0x7fffad78b640 (LWP 5355) "ArdourGUI"):
#0  0x00007ffff565d5cf in __GI___poll (fds=0x7fffc4001f48, nfds=1, timeout=2000) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fff5c4e1dd1 in  () at /usr/lib64/lv2/TAL-NoiseMaker.lv2/TAL-NoiseMaker.so
#2  0x00007fff5c4938d9 in  () at /usr/lib64/lv2/TAL-NoiseMaker.lv2/TAL-NoiseMaker.so
#3  0x00007fff5c4c3fba in  () at /usr/lib64/lv2/TAL-NoiseMaker.lv2/TAL-NoiseMaker.so
#4  0x00007fff5c4c4159 in  () at /usr/lib64/lv2/TAL-NoiseMaker.lv2/TAL-NoiseMaker.so
#5  0x00007ffff5dd9299 in start_thread (arg=0x7fffad78b640) at pthread_create.c:473
#6  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 57 (Thread 0x7fff5d7fa640 (LWP 5291) "AutomationWatch"):
#0  0x00007ffff562fbe5 in __GI___clock_nanosleep (clock_id=clock_id@entry=0, flags=flags@entry=0, req=req@entry=0x7fff5d7f9ad0, rem=rem@entry=0x7fff5d7f9ae0) at ../sysdeps/unix/sysv/linux/clock_nanosleep.c:43
#1  0x00007ffff5634e77 in __GI___nanosleep (req=req@entry=0x7fff5d7f9ad0, rem=rem@entry=0x7fff5d7f9ae0) at ../sysdeps/unix/sysv/linux/nanosleep.c:25
#2  0x00007ffff6bea1af in g_usleep (microseconds=<optimized out>) at ../glib/gtimer.c:277
#3  0x00007ffff7668e85 in ARDOUR::AutomationWatch::thread() () at /usr/lib64/ardour6/libardour.so.3
#4  0x00007ffff6d54642 in sigc::slot0<void>::operator()() const (this=0x555559c54e90) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:535
#5  (anonymous namespace)::call_thread_entry_slot(void*) (data=0x555559c54e90) at /usr/src/debug/glibmm2_4-2.66.0-1.5.x86_64/untracked/glib/glibmm/threads.cc:64
#6  0x00007ffff6be872e in g_thread_proxy (data=0x55555c958b60) at ../glib/gthread.c:826
#7  0x00007ffff5dd9299 in start_thread (arg=0x7fff5d7fa640) at pthread_create.c:473
#8  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 56 (Thread 0x7fff5dffb640 (LWP 5290) "autoconnect"):
#0  0x00007ffff5de5a9a in __futex_abstimed_wait_common64 (futex_word=futex_word@entry=0x55555cab152c, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at ../sysdeps/nptl/futex-internal.c:74
#1  0x00007ffff5de5aff in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55555cab152c, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007ffff5ddf260 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55555cab14d8, cond=0x55555cab1500) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x55555cab1500, mutex=0x55555cab14d8) at pthread_cond_wait.c:619
#4  0x00007ffff7aed803 in ARDOUR::Session::auto_connect_thread_run() () at /usr/lib64/ardour6/libardour.so.3
#5  0x00007ffff7aed888 in ARDOUR::Session::auto_connect_thread(void*) () at /usr/lib64/ardour6/libardour.so.3
#6  0x00007ffff5dd9299 in start_thread (arg=0x7fff5dffb640) at pthread_create.c:473
#7  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 55 (Thread 0x7fff5e7fc640 (LWP 5289) "SessionSignals"):
#0  0x00007ffff5de5a9a in __futex_abstimed_wait_common64 (futex_word=futex_word@entry=0x55555cab14b8, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at ../sysdeps/nptl/futex-internal.c:74
#1  0x00007ffff5de5aff in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55555cab14b8, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007ffff5ddf260 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55555cab1468, cond=0x55555cab1490) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x55555cab1490, mutex=0x55555cab1468) at pthread_cond_wait.c:619
#4  0x00007ffff7b4bfd3 in ARDOUR::Session::emit_thread_run() () at /usr/lib64/ardour6/libardour.so.3
#5  0x00007ffff7b4c008 in ARDOUR::Session::emit_thread(void*) () at /usr/lib64/ardour6/libardour.so.3
#6  0x00007ffff5dd9299 in start_thread (arg=0x7fff5e7fc640) at pthread_create.c:473
#7  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 54 (Thread 0x7fffacc74640 (LWP 5288) "midiUI"):
#0  0x00007ffff565d5cf in __GI___poll (fds=0x7fff5817aa10, nfds=4, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ffff6bbebce in g_main_context_poll (priority=<optimized out>, n_fds=4, fds=0x7fff5817aa10, timeout=<optimized out>, context=0x55555b8a2040) at ../glib/gmain.c:4434
#2  g_main_context_iterate (context=0x55555b8a2040, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:4126
#3  0x00007ffff6bbef2b in g_main_loop_run (loop=0x55555b8a2160) at ../glib/gmain.c:4329
#4  0x00007ffff6d54642 in sigc::slot0<void>::operator()() const (this=0x55555b8a2330) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:535
#5  (anonymous namespace)::call_thread_entry_slot(void*) (data=0x55555b8a2330) at /usr/src/debug/glibmm2_4-2.66.0-1.5.x86_64/untracked/glib/glibmm/threads.cc:64
#6  0x00007ffff6be872e in g_thread_proxy (data=0x55555c958920) at ../glib/gthread.c:826
#7  0x00007ffff5dd9299 in start_thread (arg=0x7fffacc74640) at pthread_create.c:473
#8  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 53 (Thread 0x7fffaccf5640 (LWP 5287) "butler"):
#0  0x00007ffff565d5cf in __GI___poll (fds=0x7fffaccf47a8, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ffff6e40add in CrossThreadChannel::poll_for_request() () at /usr/lib64/ardour6/libpbd.so.4
#2  0x00007ffff6e40b35 in CrossThreadChannel::receive(char&, bool) () at /usr/lib64/ardour6/libpbd.so.4
#3  0x00007ffff7674ffd in ARDOUR::Butler::thread_work() () at /usr/lib64/ardour6/libardour.so.3
#4  0x00007ffff6e63686 in fake_thread_start(void*) () at /usr/lib64/ardour6/libpbd.so.4
#5  0x00007ffff5dd9299 in start_thread (arg=0x7fffaccf5640) at pthread_create.c:473
#6  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 52 (Thread 0x7ffface12a40 (LWP 5285) "RT-6-(nil)"):
#0  0x00007ffff5de5a9a in __futex_abstimed_wait_common64 (futex_word=futex_word@entry=0x5555578730b0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>, cancel=cancel@entry=true) at ../sysdeps/nptl/futex-internal.c:74
#1  0x00007ffff5de5aff in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x5555578730b0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007ffff5de1bcf in do_futex_wait (sem=sem@entry=0x5555578730b0, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#3  0x00007ffff5de1c68 in __new_sem_wait_slow64 (sem=0x5555578730b0, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#4  0x00007ffff7741dab in ARDOUR::Graph::run_one() () at /usr/lib64/ardour6/libardour.so.3
#5  0x00007ffff7741fb0 in ARDOUR::Graph::helper_thread() () at /usr/lib64/ardour6/libardour.so.3
#6  0x00007fffe333c1f5 in ARDOUR::AlsaAudioBackend::alsa_process_thread(void*) () at /usr/lib64/ardour6/backends/libalsa_audiobackend.so
#7  0x00007ffff5dd9299 in start_thread (arg=0x7ffface12a40) at pthread_create.c:473
#8  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 51 (Thread 0x7ffface36a40 (LWP 5284) "RT-5-(nil)"):
#0  0x00007ffff5de5a9a in __futex_abstimed_wait_common64 (futex_word=futex_word@entry=0x5555578730d8, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>, cancel=cancel@entry=true) at ../sysdeps/nptl/futex-internal.c:74
#1  0x00007ffff5de5aff in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x5555578730d8, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007ffff5de1bcf in do_futex_wait (sem=sem@entry=0x5555578730d8, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#3  0x00007ffff5de1c68 in __new_sem_wait_slow64 (sem=0x5555578730d8, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#4  0x00007ffff7741c5c in ARDOUR::Graph::reached_terminal_node() () at /usr/lib64/ardour6/libardour.so.3
#5  0x00007ffff7741fb0 in ARDOUR::Graph::helper_thread() () at /usr/lib64/ardour6/libardour.so.3
#6  0x00007fffe333c1f5 in ARDOUR::AlsaAudioBackend::alsa_process_thread(void*) () at /usr/lib64/ardour6/backends/libalsa_audiobackend.so
#7  0x00007ffff5dd9299 in start_thread (arg=0x7ffface36a40) at pthread_create.c:473
#8  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 50 (Thread 0x7ffface5aa40 (LWP 5283) "RT-4-(nil)"):
#0  0x00007ffff5de5a9a in __futex_abstimed_wait_common64 (futex_word=futex_word@entry=0x5555578730b0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>, cancel=cancel@entry=true) at ../sysdeps/nptl/futex-internal.c:74
#1  0x00007ffff5de5aff in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x5555578730b0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007ffff5de1bcf in do_futex_wait (sem=sem@entry=0x5555578730b0, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#3  0x00007ffff5de1c68 in __new_sem_wait_slow64 (sem=0x5555578730b0, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#4  0x00007ffff7741dab in ARDOUR::Graph::run_one() () at /usr/lib64/ardour6/libardour.so.3
#5  0x00007ffff7741fb0 in ARDOUR::Graph::helper_thread() () at /usr/lib64/ardour6/libardour.so.3
#6  0x00007fffe333c1f5 in ARDOUR::AlsaAudioBackend::alsa_process_thread(void*) () at /usr/lib64/ardour6/backends/libalsa_audiobackend.so
#7  0x00007ffff5dd9299 in start_thread (arg=0x7ffface5aa40) at pthread_create.c:473
#8  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 49 (Thread 0x7ffface7ea40 (LWP 5282) "RT-3-(nil)"):
#0  0x00007ffff5de5a9a in __futex_abstimed_wait_common64 (futex_word=futex_word@entry=0x5555578730b0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>, cancel=cancel@entry=true) at ../sysdeps/nptl/futex-internal.c:74
#1  0x00007ffff5de5aff in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x5555578730b0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007ffff5de1bcf in do_futex_wait (sem=sem@entry=0x5555578730b0, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#3  0x00007ffff5de1c68 in __new_sem_wait_slow64 (sem=0x5555578730b0, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#4  0x00007ffff7741dab in ARDOUR::Graph::run_one() () at /usr/lib64/ardour6/libardour.so.3
#5  0x00007ffff7741fb0 in ARDOUR::Graph::helper_thread() () at /usr/lib64/ardour6/libardour.so.3
#6  0x00007fffe333c1f5 in ARDOUR::AlsaAudioBackend::alsa_process_thread(void*) () at /usr/lib64/ardour6/backends/libalsa_audiobackend.so
#7  0x00007ffff5dd9299 in start_thread (arg=0x7ffface7ea40) at pthread_create.c:473
#8  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 48 (Thread 0x7fffacea2a40 (LWP 5281) "RT-2-(nil)"):
#0  0x00007ffff5de5a9a in __futex_abstimed_wait_common64 (futex_word=futex_word@entry=0x5555578730b0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>, cancel=cancel@entry=true) at ../sysdeps/nptl/futex-internal.c:74
#1  0x00007ffff5de5aff in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x5555578730b0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007ffff5de1bcf in do_futex_wait (sem=sem@entry=0x5555578730b0, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#3  0x00007ffff5de1c68 in __new_sem_wait_slow64 (sem=0x5555578730b0, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#4  0x00007ffff7741dab in ARDOUR::Graph::run_one() () at /usr/lib64/ardour6/libardour.so.3
#5  0x00007ffff7741fb0 in ARDOUR::Graph::helper_thread() () at /usr/lib64/ardour6/libardour.so.3
#6  0x00007fffe333c1f5 in ARDOUR::AlsaAudioBackend::alsa_process_thread(void*) () at /usr/lib64/ardour6/backends/libalsa_audiobackend.so
#7  0x00007ffff5dd9299 in start_thread (arg=0x7fffacea2a40) at pthread_create.c:473
#8  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 47 (Thread 0x7fffacec6a40 (LWP 5280) "RT-1-(nil)"):
#0  0x00007ffff5de5a9a in __futex_abstimed_wait_common64 (futex_word=futex_word@entry=0x5555578730b0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>, cancel=cancel@entry=true) at ../sysdeps/nptl/futex-internal.c:74
#1  0x00007ffff5de5aff in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x5555578730b0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007ffff5de1bcf in do_futex_wait (sem=sem@entry=0x5555578730b0, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#3  0x00007ffff5de1c68 in __new_sem_wait_slow64 (sem=0x5555578730b0, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#4  0x00007ffff7741dab in ARDOUR::Graph::run_one() () at /usr/lib64/ardour6/libardour.so.3
#5  0x00007ffff7741fb0 in ARDOUR::Graph::helper_thread() () at /usr/lib64/ardour6/libardour.so.3
#6  0x00007fffe333c1f5 in ARDOUR::AlsaAudioBackend::alsa_process_thread(void*) () at /usr/lib64/ardour6/backends/libalsa_audiobackend.so
#7  0x00007ffff5dd9299 in start_thread (arg=0x7fffacec6a40) at pthread_create.c:473
#8  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 46 (Thread 0x7fffaceeaa40 (LWP 5279) "RT-main-(nil)"):
#0  0x00007ffff5de5a9a in __futex_abstimed_wait_common64 (futex_word=futex_word@entry=0x5555578730b0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>, cancel=cancel@entry=true) at ../sysdeps/nptl/futex-internal.c:74
#1  0x00007ffff5de5aff in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x5555578730b0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007ffff5de1bcf in do_futex_wait (sem=sem@entry=0x5555578730b0, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#3  0x00007ffff5de1c68 in __new_sem_wait_slow64 (sem=0x5555578730b0, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#4  0x00007ffff7741dab in ARDOUR::Graph::run_one() () at /usr/lib64/ardour6/libardour.so.3
#5  0x00007ffff7742360 in ARDOUR::Graph::main_thread() () at /usr/lib64/ardour6/libardour.so.3
#6  0x00007fffe333c1f5 in ARDOUR::AlsaAudioBackend::alsa_process_thread(void*) () at /usr/lib64/ardour6/backends/libalsa_audiobackend.so
#7  0x00007ffff5dd9299 in start_thread (arg=0x7fffaceeaa40) at pthread_create.c:473
#8  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 45 (Thread 0x7fffacef6a40 (LWP 5278) "RTTaskList"):
#0  0x00007ffff5de5a9a in __futex_abstimed_wait_common64 (futex_word=futex_word@entry=0x55555a8260c0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>, cancel=cancel@entry=true) at ../sysdeps/nptl/futex-internal.c:74
#1  0x00007ffff5de5aff in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55555a8260c0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007ffff5de1bcf in do_futex_wait (sem=sem@entry=0x55555a8260c0, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#3  0x00007ffff5de1c68 in __new_sem_wait_slow64 (sem=0x55555a8260c0, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#4  0x00007ffff7ac31c8 in ARDOUR::RTTaskList::run() () at /usr/lib64/ardour6/libardour.so.3
#5  0x00007ffff7ac34e8 in ARDOUR::RTTaskList::_thread_run(void*) () at /usr/lib64/ardour6/libardour.so.3
#6  0x00007ffff5dd9299 in start_thread (arg=0x7fffacef6a40) at pthread_create.c:473
#7  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 44 (Thread 0x7fffacf02a40 (LWP 5277) "RTTaskList"):
#0  0x00007ffff5de5a9a in __futex_abstimed_wait_common64 (futex_word=futex_word@entry=0x55555a8260c0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>, cancel=cancel@entry=true) at ../sysdeps/nptl/futex-internal.c:74
#1  0x00007ffff5de5aff in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55555a8260c0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007ffff5de1bcf in do_futex_wait (sem=sem@entry=0x55555a8260c0, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#3  0x00007ffff5de1c68 in __new_sem_wait_slow64 (sem=0x55555a8260c0, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#4  0x00007ffff7ac31c8 in ARDOUR::RTTaskList::run() () at /usr/lib64/ardour6/libardour.so.3
#5  0x00007ffff7ac34e8 in ARDOUR::RTTaskList::_thread_run(void*) () at /usr/lib64/ardour6/libardour.so.3
#6  0x00007ffff5dd9299 in start_thread (arg=0x7fffacf02a40) at pthread_create.c:473
#7  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 43 (Thread 0x7fffacf0ea40 (LWP 5276) "RTTaskList"):
#0  0x00007ffff5de5a9a in __futex_abstimed_wait_common64 (futex_word=futex_word@entry=0x55555a8260c0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>, cancel=cancel@entry=true) at ../sysdeps/nptl/futex-internal.c:74
#1  0x00007ffff5de5aff in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55555a8260c0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007ffff5de1bcf in do_futex_wait (sem=sem@entry=0x55555a8260c0, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#3  0x00007ffff5de1c68 in __new_sem_wait_slow64 (sem=0x55555a8260c0, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#4  0x00007ffff7ac31c8 in ARDOUR::RTTaskList::run() () at /usr/lib64/ardour6/libardour.so.3
#5  0x00007ffff7ac34e8 in ARDOUR::RTTaskList::_thread_run(void*) () at /usr/lib64/ardour6/libardour.so.3
#6  0x00007ffff5dd9299 in start_thread (arg=0x7fffacf0ea40) at pthread_create.c:473
#7  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 42 (Thread 0x7fffacf1aa40 (LWP 5275) "RTTaskList"):
#0  0x00007ffff5de5a9a in __futex_abstimed_wait_common64 (futex_word=futex_word@entry=0x55555a8260c0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>, cancel=cancel@entry=true) at ../sysdeps/nptl/futex-internal.c:74
#1  0x00007ffff5de5aff in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55555a8260c0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007ffff5de1bcf in do_futex_wait (sem=sem@entry=0x55555a8260c0, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#3  0x00007ffff5de1c68 in __new_sem_wait_slow64 (sem=0x55555a8260c0, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#4  0x00007ffff7ac31c8 in ARDOUR::RTTaskList::run() () at /usr/lib64/ardour6/libardour.so.3
#5  0x00007ffff7ac34e8 in ARDOUR::RTTaskList::_thread_run(void*) () at /usr/lib64/ardour6/libardour.so.3
#6  0x00007ffff5dd9299 in start_thread (arg=0x7fffacf1aa40) at pthread_create.c:473
#7  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 41 (Thread 0x7fffacf26a40 (LWP 5274) "RTTaskList"):
#0  0x00007ffff5de5a9a in __futex_abstimed_wait_common64 (futex_word=futex_word@entry=0x55555a8260c0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>, cancel=cancel@entry=true) at ../sysdeps/nptl/futex-internal.c:74
#1  0x00007ffff5de5aff in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55555a8260c0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007ffff5de1bcf in do_futex_wait (sem=sem@entry=0x55555a8260c0, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#3  0x00007ffff5de1c68 in __new_sem_wait_slow64 (sem=0x55555a8260c0, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#4  0x00007ffff7ac31c8 in ARDOUR::RTTaskList::run() () at /usr/lib64/ardour6/libardour.so.3
#5  0x00007ffff7ac34e8 in ARDOUR::RTTaskList::_thread_run(void*) () at /usr/lib64/ardour6/libardour.so.3
#6  0x00007ffff5dd9299 in start_thread (arg=0x7fffacf26a40) at pthread_create.c:473
#7  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 40 (Thread 0x7fffacf32a40 (LWP 5273) "RTTaskList"):
#0  0x00007ffff5de5a9a in __futex_abstimed_wait_common64 (futex_word=futex_word@entry=0x55555a8260c0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>, cancel=cancel@entry=true) at ../sysdeps/nptl/futex-internal.c:74
#1  0x00007ffff5de5aff in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55555a8260c0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007ffff5de1bcf in do_futex_wait (sem=sem@entry=0x55555a8260c0, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#3  0x00007ffff5de1c68 in __new_sem_wait_slow64 (sem=0x55555a8260c0, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#4  0x00007ffff7ac31c8 in ARDOUR::RTTaskList::run() () at /usr/lib64/ardour6/libardour.so.3
#5  0x00007ffff7ac34e8 in ARDOUR::RTTaskList::_thread_run(void*) () at /usr/lib64/ardour6/libardour.so.3
#6  0x00007ffff5dd9299 in start_thread (arg=0x7fffacf32a40) at pthread_create.c:473
#7  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 39 (Thread 0x7fffacf3ea40 (LWP 5272) "RTTaskList"):
#0  0x00007ffff5de5a9a in __futex_abstimed_wait_common64 (futex_word=futex_word@entry=0x55555a8260c0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>, cancel=cancel@entry=true) at ../sysdeps/nptl/futex-internal.c:74
#1  0x00007ffff5de5aff in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55555a8260c0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=<optimized out>) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007ffff5de1bcf in do_futex_wait (sem=sem@entry=0x55555a8260c0, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#3  0x00007ffff5de1c68 in __new_sem_wait_slow64 (sem=0x55555a8260c0, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#4  0x00007ffff7ac31c8 in ARDOUR::RTTaskList::run() () at /usr/lib64/ardour6/libardour.so.3
#5  0x00007ffff7ac34e8 in ARDOUR::RTTaskList::_thread_run(void*) () at /usr/lib64/ardour6/libardour.so.3
#6  0x00007ffff5dd9299 in start_thread (arg=0x7fffacf3ea40) at pthread_create.c:473
#7  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 32 (Thread 0x7fffaed3a640 (LWP 4334) "ArdourGUI"):
#0  0x00007ffff565d5cf in __GI___poll (fds=0x7fffa0000b60, nfds=1, timeout=200) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fffe33408dd in ARDOUR::AlsaAudioBackend::midi_device_thread() () at /usr/lib64/ardour6/backends/libalsa_audiobackend.so
#2  0x00007fffe3340989 in ARDOUR::AlsaAudioBackend::_midi_device_thread(void*) () at /usr/lib64/ardour6/backends/libalsa_audiobackend.so
#3  0x00007ffff5dd9299 in start_thread (arg=0x7fffaed3a640) at pthread_create.c:473
#4  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 31 (Thread 0x7fffe038a640 (LWP 4333) "audioengine"):
#0  0x00007ffff565d6ce in __ppoll (fds=0x55555747848c, nfds=2, timeout=<optimized out>, sigmask=0x0) at ../sysdeps/unix/sysv/linux/ppoll.c:48
#1  0x00007fffe3359dce in Alsa_pcmi::pcm_wait() () at /usr/lib64/ardour6/backends/libalsa_audiobackend.so
#2  0x00007fffe3344036 in ARDOUR::AlsaAudioBackend::main_process_thread() () at /usr/lib64/ardour6/backends/libalsa_audiobackend.so
#3  0x00007fffe3345559 in pthread_process(void*) () at /usr/lib64/ardour6/backends/libalsa_audiobackend.so
#4  0x00007ffff5dd9299 in start_thread (arg=0x7fffe038a640) at pthread_create.c:473
#5  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 30 (Thread 0x7fffe156e640 (LWP 4332) "ExecStdOut"):
#0  0x00007ffff565fdf1 in __GI___select (nfds=1, readfds=0x7fffe156ba90, writefds=0x0, exceptfds=0x0, timeout=0x7fffe156ba70) at ../sysdeps/unix/sysv/linux/select.c:71
#1  0x00007ffff6e75c3d in PBD::SystemExec::output_interposer() () at /usr/lib64/ardour6/libpbd.so.4
#2  0x00007ffff6e75d78 in interposer_thread(void*) () at /usr/lib64/ardour6/libpbd.so.4
#3  0x00007ffff5dd9299 in start_thread (arg=0x7fffe156e640) at pthread_create.c:473
#4  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 24 (Thread 0x7fffe1d6f640 (LWP 4286) "threaded-ml"):
#0  0x00007ffff565d5cf in __GI___poll (fds=fds@entry=0x7fffc8003fb0, nfds=nfds@entry=3, timeout=timeout@entry=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fffe30e1162 in poll (__timeout=-1, __nfds=3, __fds=0x7fffc8003fb0) at /usr/include/bits/poll2.h:47
#2  poll_func (ufds=0x7fffc8003fb0, nfds=3, timeout=-1, userdata=0x55555764bf30) at pulse/thread-mainloop.c:70
#3  0x00007fffe30cabe9 in pa_mainloop_poll (m=m@entry=0x555557578100) at pulse/mainloop.c:842
#4  0x00007fffe30d523f in pa_mainloop_iterate (m=m@entry=0x555557578100, block=block@entry=1, retval=retval@entry=0x0) at pulse/mainloop.c:924
#5  0x00007fffe30d52f0 in pa_mainloop_run (m=0x555557578100, retval=0x0) at pulse/mainloop.c:942
#6  0x00007fffe30e5159 in thread (userdata=0x555557577f00) at pulse/thread-mainloop.c:101
#7  0x00007fffe30812b8 in internal_thread_func (userdata=0x5555575b6100) at pulsecore/thread-posix.c:81
#8  0x00007ffff5dd9299 in start_thread (arg=0x7fffe1d6f640) at pthread_create.c:473
#9  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 21 (Thread 0x7fffe0c45640 (LWP 4149) "gdbus"):
#0  0x00007ffff565d5cf in __GI___poll (fds=0x5555573ab7c0, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ffff6bbebce in g_main_context_poll (priority=<optimized out>, n_fds=2, fds=0x5555573ab7c0, timeout=<optimized out>, context=0x5555573aa6d0) at ../glib/gmain.c:4434
#2  g_main_context_iterate (context=0x5555573aa6d0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:4126
#3  0x00007ffff6bbef2b in g_main_loop_run (loop=0x5555573aa7c0) at ../glib/gmain.c:4329
#4  0x00007ffff4c76166 in gdbus_shared_thread_func (user_data=0x5555573aa6a0) at ../gio/gdbusprivate.c:280
#5  0x00007ffff6be872e in g_thread_proxy (data=0x55555706cb60) at ../glib/gthread.c:826
#6  0x00007ffff5dd9299 in start_thread (arg=0x7fffe0c45640) at pthread_create.c:473
#7  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7fffe2570640 (LWP 4099) "gmain"):
#0  0x00007ffff565d5cf in __GI___poll (fds=0x555557037f80, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ffff6bbebce in g_main_context_poll (priority=<optimized out>, n_fds=2, fds=0x555557037f80, timeout=<optimized out>, context=0x555557038c60) at ../glib/gmain.c:4434
#2  g_main_context_iterate (context=context@entry=0x555557038c60, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:4126
#3  0x00007ffff6bbecef in g_main_context_iteration (context=0x555557038c60, may_block=may_block@entry=1) at ../glib/gmain.c:4196
#4  0x00007ffff6bbed41 in glib_worker_main (data=<optimized out>) at ../glib/gmain.c:6089
#5  0x00007ffff6be872e in g_thread_proxy (data=0x55555702e400) at ../glib/gthread.c:826
#6  0x00007ffff5dd9299 in start_thread (arg=0x7fffe2570640) at pthread_create.c:473
#7  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7fffe3bd0640 (LWP 3939) "DeviceList"):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff6c11c7f in g_cond_wait (cond=0x555556f05e80, mutex=0x555556f05e90) at ../glib/gthread-posix.c:1574
#2  0x00007ffff76174c4 in ARDOUR::AudioEngine::do_devicelist_update() () at /usr/lib64/ardour6/libardour.so.3
#3  0x00007ffff6d54642 in sigc::slot0<void>::operator()() const (this=0x555556f06110) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:535
#4  (anonymous namespace)::call_thread_entry_slot(void*) (data=0x555556f06110) at /usr/src/debug/glibmm2_4-2.66.0-1.5.x86_64/untracked/glib/glibmm/threads.cc:64
#5  0x00007ffff6be872e in g_thread_proxy (data=0x5555569a3a40) at ../glib/gthread.c:826
#6  0x00007ffff5dd9299 in start_thread (arg=0x7fffe3bd0640) at pthread_create.c:473
#7  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7ffff0ba3640 (LWP 3938) "EngineWatchdog"):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff6c11c7f in g_cond_wait (cond=0x555556f05e50, mutex=0x555556f05e60) at ../glib/gthread-posix.c:1574
#2  0x00007ffff761834f in ARDOUR::AudioEngine::do_reset_backend() () at /usr/lib64/ardour6/libardour.so.3
#3  0x00007ffff6d54642 in sigc::slot0<void>::operator()() const (this=0x555556f060f0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:535
#4  (anonymous namespace)::call_thread_entry_slot(void*) (data=0x555556f060f0) at /usr/src/debug/glibmm2_4-2.66.0-1.5.x86_64/untracked/glib/glibmm/threads.cc:64
#5  0x00007ffff6be872e in g_thread_proxy (data=0x5555569a39e0) at ../glib/gthread.c:826
#6  0x00007ffff5dd9299 in start_thread (arg=0x7ffff0ba3640) at pthread_create.c:473
#7  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7ffff14ba640 (LWP 3865) "Analyzer"):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff6c11c7f in g_cond_wait (cond=0x7ffff7f197d0 <ARDOUR::Analyser::SourcesToAnalyse>, mutex=0x7ffff7f197e0 <ARDOUR::Analyser::analysis_queue_lock>) at ../glib/gthread-posix.c:1574
#2  0x00007ffff75d8a9f in ARDOUR::Analyser::work() () at /usr/lib64/ardour6/libardour.so.3
#3  0x00007ffff6d54642 in sigc::slot0<void>::operator()() const (this=0x555556aeb410) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:535
#4  (anonymous namespace)::call_thread_entry_slot(void*) (data=0x555556aeb410) at /usr/src/debug/glibmm2_4-2.66.0-1.5.x86_64/untracked/glib/glibmm/threads.cc:64
#5  0x00007ffff6be872e in g_thread_proxy (data=0x5555569a3980) at ../glib/gthread.c:826
#6  0x00007ffff5dd9299 in start_thread (arg=0x7ffff14ba640) at pthread_create.c:473
#7  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7ffff1cbb640 (LWP 3864) "PeakFileBuilder"):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff6c11c7f in g_cond_wait (cond=0x7ffff7f1bfc0 <ARDOUR::SourceFactory::PeaksToBuild>, mutex=0x7ffff7f1bfb8 <ARDOUR::SourceFactory::peak_building_lock>) at ../glib/gthread-posix.c:1574
#2  0x00007ffff7bc69bf in peak_thread_work() () at /usr/lib64/ardour6/libardour.so.3
#3  0x00007ffff6d54642 in sigc::slot0<void>::operator()() const (this=0x555556aaa980) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:535
#4  (anonymous namespace)::call_thread_entry_slot(void*) (data=0x555556aaa980) at /usr/src/debug/glibmm2_4-2.66.0-1.5.x86_64/untracked/glib/glibmm/threads.cc:64
#5  0x00007ffff6be872e in g_thread_proxy (data=0x5555569a3920) at ../glib/gthread.c:826
#6  0x00007ffff5dd9299 in start_thread (arg=0x7ffff1cbb640) at pthread_create.c:473
#7  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7ffff24bc640 (LWP 3863) "PeakFileBuilder"):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff6c11c7f in g_cond_wait (cond=0x7ffff7f1bfc0 <ARDOUR::SourceFactory::PeaksToBuild>, mutex=0x7ffff7f1bfb8 <ARDOUR::SourceFactory::peak_building_lock>) at ../glib/gthread-posix.c:1574
#2  0x00007ffff7bc69bf in peak_thread_work() () at /usr/lib64/ardour6/libardour.so.3
#3  0x00007ffff6d54642 in sigc::slot0<void>::operator()() const (this=0x555556aeb360) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:535
#4  (anonymous namespace)::call_thread_entry_slot(void*) (data=0x555556aeb360) at /usr/src/debug/glibmm2_4-2.66.0-1.5.x86_64/untracked/glib/glibmm/threads.cc:64
#5  0x00007ffff6be872e in g_thread_proxy (data=0x5555569a38c0) at ../glib/gthread.c:826
#6  0x00007ffff5dd9299 in start_thread (arg=0x7ffff24bc640) at pthread_create.c:473
#7  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7ffff2cbd640 (LWP 3862) "LXVSTEventLoop"):
#0  0x00007ffff562fbe5 in __GI___clock_nanosleep (clock_id=clock_id@entry=0, flags=flags@entry=0, req=req@entry=0x7ffff2cbc980, rem=rem@entry=0x7ffff2cbc990) at ../sysdeps/unix/sysv/linux/clock_nanosleep.c:43
#1  0x00007ffff5634e77 in __GI___nanosleep (req=req@entry=0x7ffff2cbc980, rem=rem@entry=0x7ffff2cbc990) at ../sysdeps/unix/sysv/linux/nanosleep.c:25
#2  0x00007ffff6bea1af in g_usleep (microseconds=<optimized out>) at ../glib/gtimer.c:277
#3  0x00005555565c0b1f in gui_event_loop(void*) ()
#4  0x00007ffff5dd9299 in start_thread (arg=0x7ffff2cbd640) at pthread_create.c:473
#5  0x00007ffff56684a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7ffff35cca40 (LWP 3690) "ArdourGUI"):
#0  g_type_check_instance_is_fundamentally_a (type_instance=type_instance@entry=0x55555b66a0b0, fundamental_type=fundamental_type@entry=0x50 [GObject]) at ../gobject/gtype.c:4082
#1  0x00007ffff6cb93c3 in g_object_ref (_object=_object@entry=0x55555b66a0b0) at ../gobject/gobject.c:3389
#2  0x00007ffff683ba94 in gtk_menu_window_event (window=window@entry=0x55555b66d260 [GtkWindow], event=0x55555b33e750, menu=0x55555b66a0b0) at gtkmenu.c:967
#7  0x00007ffff6ccdb3f in <emit signal ??? on instance 0x55555b66d260 [GtkWindow]> (instance=instance@entry=0x55555b66d260, signal_id=<optimized out>, detail=detail@entry=0) at ../gobject/gsignal.c:3553
    #3  0x00007ffff683bf97 in _gtk_marshal_BOOLEAN__BOXED (closure=closure@entry=0x55555b672870, return_value=return_value@entry=0x7fffffffccf0, n_param_values=n_param_values@entry=2, param_values=param_values@entry=0x7fffffffcd50, invocation_hint=invocation_hint@entry=0x7fffffffccd0, marshal_data=marshal_data@entry=0x0) at gtkmarshalers.c:84
    #4  0x00007ffff6cb469f in g_closure_invoke (closure=0x55555b672870, return_value=return_value@entry=0x7fffffffccf0, n_param_values=2, param_values=param_values@entry=0x7fffffffcd50, invocation_hint=invocation_hint@entry=0x7fffffffccd0) at ../gobject/gclosure.c:810
    #5  0x00007ffff6cc6fab in signal_emit_unlocked_R (node=<optimized out>, detail=detail@entry=0, instance=instance@entry=0x55555b66d260, emission_return=emission_return@entry=0x7fffffffce40, instance_and_params=instance_and_params@entry=0x7fffffffcd50) at ../gobject/gsignal.c:3741
    #6  0x00007ffff6ccd2ae in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=var_args@entry=0x7fffffffcef0) at ../gobject/gsignal.c:3507
#8  0x00007ffff695cc7d in gtk_widget_event_internal (widget=0x55555b66d260 [GtkWindow], event=0x55555b33e750) at gtkwidget.c:4905
#9  0x00007ffff68421ab in IA__gtk_main_do_event (event=0x55555b33e750) at gtkmain.c:1652
#10 IA__gtk_main_do_event (event=<optimized out>) at gtkmain.c:1503
#11 0x00007ffff66a5cef in gdk_event_dispatch (source=source@entry=0x555556f8f730, callback=<optimized out>, user_data=<optimized out>) at x11/gdkevents-x11.c:2425
#12 0x00007ffff6bbe8b7 in g_main_dispatch (context=0x555556f67d70) at ../glib/gmain.c:3337
#13 g_main_context_dispatch (context=0x555556f67d70) at ../glib/gmain.c:4055
#14 0x00007ffff6bbec38 in g_main_context_iterate (context=0x555556f67d70, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:4131
#15 0x00007ffff6bbef2b in g_main_loop_run (loop=loop@entry=0x55555757a240) at ../glib/gmain.c:4329
#16 0x00007ffff683fcba in IA__gtk_main () at gtkmain.c:1270
#17 0x00007ffff6f0755b in Gtkmm2ext::UI::run(Receiver&) () at /usr/lib64/ardour6/libgtkmm2ext.so.0
#18 0x0000555555c80bc0 in main ()
mylog.txt (40,130 bytes)

Daniele1971

2021-05-07 18:05

reporter   ~0025798

Hello, when it happens, there's this error in the log: traps: ArdourGUI[8335] general protection fault ip:7f518734289d sp:7ffea263b858 error:0 in libgobject-2.0.so.0.6800.1[7f518731b000+30000]

x42

2021-05-08 15:14

administrator   ~0025808

Here I get 6 (!) g_logv messages when toggling one processor automation entry (no crash though)

(ardour-6.6.458:582613): GLib-GObject-CRITICAL **: 17:11:45.758: g_object_ref: assertion 'G_IS_OBJECT (object)' failed
(ardour-6.6.458:582613): GLib-GObject-CRITICAL **: 17:11:45.758: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
(ardour-6.6.458:582613): GLib-GObject-CRITICAL **: 17:11:45.758: g_object_ref: assertion 'G_IS_OBJECT (object)' failed
(ardour-6.6.458:582613): GLib-GObject-CRITICAL **: 17:11:45.758: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
(ardour-6.6.458:582613): GLib-GObject-CRITICAL **: 17:11:45.758: g_object_ref: assertion 'G_IS_OBJECT (object)' failed
(ardour-6.6.458:582613): GLib-GObject-CRITICAL **: 17:11:45.758: g_object_unref: assertion 'G_IS_OBJECT (object)' failed

It only happens the first time for each processor-parameter, after that there are no messages.

x42

2021-05-11 23:15

administrator   ~0025814

Which glib version are you using?

The one on debian/testing (bullseye) is 2.66.8-1 and only prints critical messages, but does not abort.

ivest

2021-05-12 11:42

reporter   ~0025819

Hello Robin,

at the moment glib version 2.68.1-1.1 (the crash still happens, I just tried).

Another thing, the crash happens on Processor automations but not on the others (like "Bender > Channel 5" or "Pressure > Channel 6").

paul

2021-05-13 16:32

administrator   ~0025837

This should be fixed as of 084d7e221b391ca

ivest

2021-05-13 19:51

reporter   ~0025845

I confirm that the version from git master doesn't crash anymore. Thank you!

Issue History

Date Modified Username Field Change
2021-05-07 17:48 ivest New Issue
2021-05-07 17:48 ivest Tag Attached: automation
2021-05-07 17:48 ivest File Added: mylog.txt
2021-05-07 18:05 Daniele1971 Note Added: 0025798
2021-05-08 15:14 x42 Note Added: 0025808
2021-05-08 15:15 x42 Relationship added related to 0003134
2021-05-11 23:15 x42 Note Added: 0025814
2021-05-12 11:42 ivest Note Added: 0025819
2021-05-13 16:32 paul Assigned To => paul
2021-05-13 16:32 paul Status new => feedback
2021-05-13 16:32 paul Note Added: 0025837
2021-05-13 19:51 ivest Note Added: 0025845
2021-05-13 19:51 ivest Status feedback => assigned
2021-05-14 05:08 x42 Status assigned => resolved
2021-05-14 05:08 x42 Resolution open => fixed